Package opennlp.tools.util.normalizer

# Class EmojiToEmoticonCharSequenceNormalizer

java.lang.Object
opennlp.tools.util.normalizer.EmojiToEmoticonCharSequenceNormalizer

All Implemented Interfaces:
  `Serializable`, `opennlp.tools.util.normalizer.CharSequenceNormalizer`, `opennlp.tools.util.normalizer.OffsetAwareNormalizer`

public final class EmojiToEmoticonCharSequenceNormalizer extends Object implements opennlp.tools.util.normalizer.OffsetAwareNormalizer
A `CharSequenceNormalizer` that folds emoji to ASCII emoticons, using the bundled `emoji-emoticons.txt` mapping (for example U+1F642 SLIGHTLY SMILING FACE to `:)`).

A mapped pictograph inside a larger ZWJ sequence or followed by U+FE0E VARIATION SELECTOR-15 is left untouched; a trailing U+FE0F VARIATION SELECTOR-16 after any mapped pictograph is absorbed into the fold, so no dangling variation selector is left behind. This is an expanding, offset-changing transform: `normalizeAligned(CharSequence)` reports the `Alignment` from the folded text back to the input. The reverse direction is `EmoticonToEmojiCharSequenceNormalizer`.

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmojiToEmoticonCharSequenceNormalizer`
  `getInstance()`
  Returns the shared, stateless instance.
  `CharSequence`
  `normalize(CharSequence text)`
  `opennlp.tools.util.normalizer.AlignedText`
  `normalizeAligned(CharSequence text)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static EmojiToEmoticonCharSequenceNormalizer getInstance()
    Returns the shared, stateless instance.
    Returns:
      the shared, stateless instance

  - ### normalize

    public CharSequence normalize(CharSequence text)
    Specified by:
      `normalize` in interface `opennlp.tools.util.normalizer.CharSequenceNormalizer`

  - ### normalizeAligned

    public opennlp.tools.util.normalizer.AlignedText normalizeAligned(CharSequence text)
    Specified by:
      `normalizeAligned` in interface `opennlp.tools.util.normalizer.OffsetAwareNormalizer`